Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230097 - Firefox 1.5.0.10 is available and fixes several security related bugs
Summary: Firefox 1.5.0.10 is available and fixes several security related bugs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact:
URL: http://developer.mozilla.org/devnews/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 16:52 UTC by Harri Lapinkoski
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-01 10:19:11 UTC


Attachments (Terms of Use)

Description Harri Lapinkoski 2007-02-26 16:52:34 UTC
Description of problem:
Firefox 1.5.0.10 is available and fixes several security related bugs

Additional info:
Fixed in Firefox 1.5.0.10
MFSA 2007-08 onUnload + document.write() memory corruption
MFSA 2007-07 Embedded nulls in location.hostname confuse same-domain checks
MFSA 2007-06 Mozilla Network Security Services (NSS) SSLv2 buffer overflow
MFSA 2007-05 XSS and local file access by opening blocked popups
MFSA 2007-04 Spoofing using custom cursor and CSS3 hotspot
MFSA 2007-03 Information disclosure through cache collisions
MFSA 2007-02 Improvements to help protect against Cross-Site Scripting attacks
MFSA 2007-01 Crashes with evidence of memory corruption (rv:1.8.0.10/1.8.1.2)

Comment 1 Matthew Miller 2007-02-26 20:11:57 UTC
Update is already out for RHEL, and marked as "critical" there.


Comment 2 Warren Togami 2007-02-26 20:39:36 UTC
We have people working on this.   Unfortunately, this is blocking on
dependencies like devhelp no longer building on the new firefox version.


Note You need to log in before you can comment on or make changes to this bug.